#!/usr/bin/perl

###################################################
#                                                 #
# Virtual Visions Ad Banner Rotation Script v1.70 #
# Copyright 1999 by Barracuda                     #
# Email - baracuda@feartech.com                   #
#                                                 #
###################################################

# this is the directory where you want your ad banner
# logs to be stored... chmod 777 this directory!

$log_dir = '/path/to/banners/logs/';

###################################################

use CGI qw(:standard);
$ads = new CGI;

$idnum = $ads->param('id');
$redirect = $ads->param('url');

###################################################

&log;
&redirect;

################
# sub routines #
################

sub log
{
	$lock_dir = "_lock_dir";
	
	open (LOG,">>$log_dir$idnum.txt") || &redirect;
	&file_lock("$lock_dir");

	print LOG "$ENV{'HTTP_REFERER'} $ENV{'REMOTE_ADDR'} $ENV{'REMOTE_HOST'}\n";
	
	&file_unlock("$lock_dir");
	close(LOG);
}

sub file_lock
{
	while (!mkdir($_[0],0777))
	{
		sleep 1;

		if (++$i>60)
		{
			die("File Lock Failed: $!\n");
		}
	}
}

sub file_unlock
{
	rmdir($_[0]);
}

sub redirect
{
	$redirect = "http://$redirect";

	print "Location: $redirect\n\n";
}